Storyden
Roles

Role Delete

Delete a role. Requires MANAGE_ROLES. Deleting a role that grants ADMINISTRATOR additionally requires ADMINISTRATOR. Deletions that would leave no active account with ADMINISTRATOR are rejected with 400.

DELETE
/roles/{role_id}

Delete a role. Requires MANAGE_ROLES. Deleting a role that grants ADMINISTRATOR additionally requires ADMINISTRATOR. Deletions that would leave no active account with ADMINISTRATOR are rejected with 400.

Authorization

cookiestoryden-session<token>

Path Parameters

role_id*string

Role ID

Formatxid

Response Body

OK

Example Request
curl -X DELETE 'https://example.com/api/roles/string'
Example Response
Empty